/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: OBRRepoDelegate.as 20454 2010-10-12 15:52:44Z lglglglg $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.osgiconsole.business
{
	import com.adobe.cairngorm.business.ServiceLocator;
	
	import mx.rpc.AsyncToken;
	import mx.rpc.IResponder;
	import mx.rpc.http.HTTPService;
	
	public class OBRRepoDelegate
	{
		public var responder:IResponder;
		public function OBRRepoDelegate()
		{
		}
		public function handle(action:String,path:String):void{
			if(action=="add"){
				add(path);
			}
			else if(action=="create"){
				create();
			}
			else if(action=="remove"){
				remove(path);
			}
			else if(action=="refresh"){
				refresh(path);	
			}
		}
		public function create():void{
			var service:Object=ServiceLocator.getInstance().getRemoteObject("obrService");
			var call:Object=service.create();
			call.addResponder(this.responder);
		}
		public function add(url:String):void{
			var service:Object=ServiceLocator.getInstance().getRemoteObject("obrService");
			var call:Object=service.add(url);
			call.addResponder(this.responder);
		}		
		public function remove(paths:String):void{
			var service:Object=ServiceLocator.getInstance().getRemoteObject("obrService");
			var call:Object=service.remove(paths);
			call.addResponder(this.responder);
		}
		public function refresh(paths:String):void{
			var service:Object=ServiceLocator.getInstance().getRemoteObject("obrService");
			var call:Object=service.refresh(paths);
			call.addResponder(this.responder);
		}
	}
}